{% extends '../base.html'%} {% block main %} {% load static %}

<!-- <div class="main-container">
    <div id="page-404">
        <h1 style="margin:0;margin-top:40px">404</h1>
        <h3 style="margin-bottom:0">Page introuvable.</h3>
        <p>La page que vous recherchez est introuvable.
        </p>
        <a class="primary-trigger" href="{% url 'index' %}">Retour à l'accueil</a></button>
    </div>
</div> -->
<style>
  .page-not-found div {
    width: 100%;
    text-align: center;
  }

  .page-not-found .number {
    background: #fff;
    position: relative;
    font: 900 30vmin "Consolas";
    letter-spacing: 5vmin;
    text-shadow: 2px -1px 0 #000, 4px -2px 0 #0a0a0a, 6px -3px 0 #0f0f0f,
      8px -4px 0 #141414, 10px -5px 0 #1a1a1a, 12px -6px 0 #1f1f1f,
      14px -7px 0 #242424, 16px -8px 0 #292929;
  }
  .page-not-found .number::before {
    background-color: #673ab7;
    background-image: radial-gradient(
        closest-side at 50% 50%,
        #ffc107 100%,
        rgba(0, 0, 0, 0)
      ),
      radial-gradient(closest-side at 50% 50%, #e91e63 100%, rgba(0, 0, 0, 0));
    background-repeat: repeat-x;
    background-size: 40vmin 40vmin;
    background-position: -100vmin 20vmin, 100vmin -25vmin;
    width: 100%;
    height: 100%;
    mix-blend-mode: screen;
    -webkit-animation: moving 10s linear infinite both;
    animation: moving 10s linear infinite both;
    display: block;
    position: absolute;
    content: "";
  }

  .page-not-found .text {
    font: 400 5vmin "Courgette";
  }
  .page-not-found .text span {
    font-size: 10vmin;
  }
</style>

<div class="page-not-found">
  <div class="number">404</div>
  <div class="text"><span>Ooops...</span><br />Page non trouvée</div>
  <div class="d-flex justify-content-center align-content-center mt-5 pt-5">
    <div class="w-100 d-flex justify-content-center align-content-center">
      <button onclick="history.back()" class="btn btn-outline-success">
        Revenir à la page précédente
      </button>
    </div>
  </div>
</div>
{% endblock %}
